For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.security.create_suppression(
body={
"rule_uuid": "your_rule_uuid",
"resources": [...],
},
)
Returns JSONRaises HttpResponseError
Description
To suppress scan findings, send a POST request to /v2/security/settings/suppressions.
Parameters
rule_uuid string optional
The rule UUID to suppress for the listed resources.
resources array of strings optional
Example: ['do:droplet:fe3a2fd7-903d-46e6-ada3-3e4f285fb89d']
The URNs of resources to suppress for the rule.
Request Sample
Show Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
req = {
"rule_uuid": "string",
"resources": [
"do:droplet:fe3a2fd7-903d-46e6-ada3-3e4f285fb89d"
]
}
resp = client.security.create_suppression(body=req)
Response Example
Show Response Example
{
"resources": [
{
"id": "760e09ef-dc84-11e8-981e-3cfdfeaae000",
"rule_uuid": "460e09ef-dc84-11e8-981e-3cfdfeaae000",
"rule_name": "Droplet Backups Not Enabled",
"resource_id": "123",
"resource_type": "Droplet"
}
],
"meta": {
"page": 1,
"pages": 3,
"total": 25
},
"links": {
"pages": {
"first": "https://api.digitalocean.com/v2/security/settings/suppressions?page=1",
"prev": "https://api.digitalocean.com/v2/security/settings/suppressions?page=1",
"next": "https://api.digitalocean.com/v2/security/settings/suppressions?page=2",
"last": "https://api.digitalocean.com/v2/security/settings/suppressions?page=3"
}
}
}
See /v2/security/settings/suppressions in the API reference for additional detail on responses, headers, parameters, and more.